package com.hssx.pcbms.controller;


import com.hssx.pcbms.entity.GoodsNo;
import com.hssx.pcbms.entity.RackData;
import com.hssx.pcbms.service.RackDataService;
import com.hssx.pcbms.util.HttpRespMsg;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-11-14
 */
@Controller
@RequestMapping("/rackdata")
public class RackDataController {
    @Autowired
    private RackDataService rackDataService;

    /**
     * 开门
     * 参数：
     * goodsId:机架的资产id，doorStatus:开关门 0-close, 1-open
     *
     * @return
     */
    @ApiOperation(value = "开门", notes = "开门方法")
    @RequestMapping("/update")
    @ResponseBody
    public HttpRespMsg updateInfo(RackData rackData) {
        HttpRespMsg msg = rackDataService.updateInfo(rackData);
        return msg;
    }

}

