package com.hssx.pcbms.controller;


import com.hssx.pcbms.entity.Unit;
import com.hssx.pcbms.entity.vo.GoodsVO;
import com.hssx.pcbms.service.GoodsService;
import com.hssx.pcbms.service.UnitService;
import com.hssx.pcbms.util.HttpRespMsg;
import com.hssx.pcbms.util.PageUtil;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

/**
 * @author 吴涛涛
 * @since 2019-12-13
 */
@RestController
@RequestMapping("/unit")
public class UnitController {
    @Autowired
    private UnitService unitService;

    @ApiOperation(value = "单位列表", notes = "单位列表")
    @RequestMapping("/list")
    public HttpRespMsg list(Unit unit, PageUtil page) {
        return unitService.getList(unit,page);
    }

}

