package com.hssx.pcbms.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-12-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class GoodsPrefix extends Model<GoodsPrefix> {

    private static final long serialVersionUID=1L;

    /**
     * 资产前缀字母表主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 资产字母前缀（如LSZC）
     */
    @TableField("prefix_str")
    private String prefixStr;

    /**
     * 录入时间
     */
    @TableField("indate")
    private LocalDateTime indate;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
