package com.hssx.pcbms.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-11-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class RacksEquipment extends Model<RacksEquipment> {

    private static final long serialVersionUID=1L;

    /**
     * 机架设备关联表主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 机架资产的goods_id
     */
    @TableField("rack_goods_id")
    private Integer rackGoodsId;

    /**
     * 机架设备的goods_id
     */
    @TableField("equipment_goods_id")
    private Integer equipmentGoodsId;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
