package com.hssx.pcbms.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-12-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class ScoreSetting extends Model<ScoreSetting> {

    private static final long serialVersionUID=1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 打分选项
     */
    @TableField("name")
    private String name;

    /**
     * 选项内容
     */
    @TableField("content")
    private String content;

    /**
     * 分值
     */
    @TableField("score")
    private Integer score;

    /**
     * 时间
     */
    @TableField("indate")
    private LocalDateTime indate;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
