package com.hssx.pcbms.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-11-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaskParticipants extends Model<TaskParticipants> {

    private static final long serialVersionUID=1L;

    /**
     * 任务参与人表主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 参与人id
     */
    @TableField("user_id")
    private Integer userId;

    /**
     * 任务id
     */
    @TableField("task_id")
    private String taskId;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
