package com.hssx.pcbms.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-11-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaskTags extends Model<TaskTags> {

    private static final long serialVersionUID=1L;

    /**
     * 任务标签id
     */
    //AUTO 数据库ID自增
    //INPUT 用户输入ID
    //ID_WORKER 全局唯一ID，Long类型的主键
    //ID_WORKER_STR 字符串全局唯一ID
    //UUID 全局唯一ID，UUID类型的主键
    //NONE 该类型为未设置主键类型
    @TableId(value = "id",type = IdType.ID_WORKER_STR )
    private String id;

    /**
     * 标签名称
     */
    @TableField("name")
    private String name;

    /**
     * 时间
     */
    @TableField("indate")
    private LocalDateTime indate;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
