package com.hssx.pcbms.mapper;

import com.hssx.pcbms.entity.Idea;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hssx.pcbms.entity.Score;
import com.hssx.pcbms.entity.vo.IdeaVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-11-02
 */
public interface IdeaMapper extends BaseMapper<Idea> {

    List<IdeaVO> getIdeaListByUid(@Param("idea") Idea idea,@Param("time") String time);

    List<Idea> getIdeaScoreLists(@Param("ideaVO")IdeaVO ideaVO);

    void updateListByTime(@Param("score")Score score);

    List<IdeaVO> selectDeptIdeaLists(@Param("ideaVO") IdeaVO ideaVO, @Param("ids")List<Integer> userIds);
}
