package com.hssx.pcbms.mapper;

import com.hssx.pcbms.entity.Task;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hssx.pcbms.entity.vo.TaskDTO;
import com.hssx.pcbms.entity.vo.TaskVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-11-11
 */
public interface TaskMapper extends BaseMapper<Task> {

    List<TaskDTO> selectListByCondition(@Param("taskVO") TaskVO taskVO);

    List<TaskDTO> selectListByTaskIds(@Param("list")List<String> taskIds,@Param("taskVO") TaskVO taskVO);

    TaskDTO getDetailById(@Param("taskVO")TaskVO taskVO);
}
