package com.hssx.pcbms.service.impl;

import com.hssx.pcbms.entity.Institution;
import com.hssx.pcbms.entity.vo.InstitutionVO;
import com.hssx.pcbms.mapper.InstitutionMapper;
import com.hssx.pcbms.service.InstitutionService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hssx.pcbms.util.HttpRespMsg;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-11-05
 */
@Service
public class InstitutionServiceImpl extends ServiceImpl<InstitutionMapper, Institution> implements InstitutionService {
    @Resource
    private InstitutionMapper institutionMapper;
    @Override
    public HttpRespMsg getDetail(Institution institution) {
        HttpRespMsg msg = new HttpRespMsg();
        InstitutionVO detail = institutionMapper.getDetail(institution);
        msg.data = detail;
        return msg;
    }
}
