export default {
    manage: {
        login: '/user/login',                                   // 登录
        regist: '/user/regist',                                 //注册
    },
    pwd: {
        resetPwd: '/system/updatePwd'                           // 重置密码
    },
    user: {
        list: '/user/list',                                     // 人员列表
    },
    label: {
        list: '/goodstags/list',                                // 标签列表
        add: '/goodstags/addOrUpdate',                          // 添加标签
        del: '/goodstags/delTags',                              // 删除标签
    },
    assets: {
        list: '/goods/list',                                    // 资产列表
        detail: '/goods/detail',                                // 资产详情
        add: '/goods/add',                                      // 添加资产
        update: '/goods/update',                                // 更新资产
        upload: '/goods/uploadFile',                            // 上传图片
        listExcel: '/goods/listExcel',                           // Excel导出

        detailNo: '/goods/goodsNoDetail',                       // 资产编号详情
        addNo: '/goods/goodsNoAdd',                              // 资产编号添加
        delNo: '/goods/delNo',                                  // 删除资产编号
        distribute: '/goods/distribute',                        // 修改资产编号
        unit: '/unit/list',                                     // 单位列表 
        project: '/project/list',                               // 项目列表

        handle: '/goods/handle',                                // 处置资产

        maintainList: '/goods/isMaintainList',                  // 待维护资产列表
        maintain: '/goods/maintain',                            // 维护资产

        disposalRecord: '/goods/operateList',                   // 处置记录
        exportDis: '/goods/handelRecordExcel',                  // 导出处置记录
        maintainRecord: '/goods/isMaintainRecord',              // 维护记录
        exportMain: '/goods/isMaintainRecordExcel',             // 导出维护记录
    },
    my: {
        newList: '/newsnotice/getNewsList',                     // 我的消息
        noReadNum: '/newsnotice/getNoReadNewsCount',            // 未读消息

        list: '/goods/myList',                                  // 我的资产

        scoreList: '/score/myList',                             // 我的评分
        scoreDetail: '/score/detail',                           // 我的评分详情

        ideaList: '/idea/ideaList',                             // 我的建议
        ideaAoU: '/idea/addOrUpdate',                           // 建议新增修改
        draft: '/idea/getDraft',                                // 获取草稿

        ideaListByUid: '/idea/getDeptIdeaLists',                // TA的建议

        addressList: '/user/list',                              // 通讯录
        scoreDetailByUid: '/score/getDetailByTimeAndUid',       // 个人分数详情
        ideaScore: '/idea/ideaListByTime',                      // TA的建议
        addOrUpdate: '/score/addOrUpdate',                      // 分数新增修改
        leaderScore: '/ideacomment/addOrUpdate',                // 添加/修改回复建议
        delScore: '/ideacomment/del',                           // 删除回复建议
        fiveList: '/personscore/fiveList',                      // 五项打分
        fiveAddOrUpdate: '/personscore/addOrUpdate',               // 打个人分

        insList: '/institution/list',                           // 管理制度列表
        insDetail: '/institution/detail',                       // 管理制度详情
    },
    showData: {
        centralRepository: '/tdatasizeinfowarehouseunits/centralRepository',        // 中心库数据模块数据
        dataExchange: '/tdatasizeinfowarehouseunits/dataExchange',                  // 数据交换模块数据
        fiveMainStorehouses: '/tdatasizeinfowarehouseunits/fiveMainStorehouses',    // 五大库模块数据
        cloudPlatform: '/tdatasizeinfowarehouseunits/cloudPlatform',                // 云平台模块数据
    },
}