package com.hssx.pcbms.controller;


import com.hssx.pcbms.entity.Project;
import com.hssx.pcbms.entity.Unit;
import com.hssx.pcbms.service.ProjectService;
import com.hssx.pcbms.util.HttpRespMsg;
import com.hssx.pcbms.util.PageUtil;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

/**
 * @author 吴涛涛
 * @since 2019-12-13
 */
@RestController
@RequestMapping("/project")
public class ProjectController {
    @Autowired
    private ProjectService projectService;

    @ApiOperation(value = "项目列表", notes = "项目列表")
    @RequestMapping("/list")
    public HttpRespMsg list(Project project, PageUtil page) {
        return projectService.getList(project,page);
    }
}

