package com.hssx.pcbms.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.hssx.pcbms.entity.Project;
import com.hssx.pcbms.mapper.ProjectMapper;
import com.hssx.pcbms.service.ProjectService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hssx.pcbms.util.HttpRespMsg;
import com.hssx.pcbms.util.PageUtil;
import org.springframework.stereotype.Service;
import javax.annotation.Resource;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-12-13
 */
@Service
public class ProjectServiceImpl extends ServiceImpl<ProjectMapper, Project> implements ProjectService {
    @Resource
    private ProjectMapper projectMapper;

    @Override
    public HttpRespMsg getList(Project project, PageUtil page) {
        HttpRespMsg msg = new HttpRespMsg();
        msg.data = projectMapper.selectList(new QueryWrapper<Project>().eq("type",1).orderByDesc("id"));
        return msg;
    }
}
