package com.hssx.pcbms.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.hssx.pcbms.entity.Unit;
import com.hssx.pcbms.entity.vo.GoodsVO;
import com.hssx.pcbms.mapper.UnitMapper;
import com.hssx.pcbms.service.UnitService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hssx.pcbms.util.HttpRespMsg;
import com.hssx.pcbms.util.PageUtil;
import lombok.val;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @author 吴涛涛
 * @since 2019-12-13
 */
@Service
public class UnitServiceImpl extends ServiceImpl<UnitMapper, Unit> implements UnitService {
    @Resource
    private UnitMapper unitMapper;

    @Override
    public HttpRespMsg getList(Unit unit, PageUtil page) {
        HttpRespMsg msg = new HttpRespMsg();
        msg.data = unitMapper.selectList(new QueryWrapper<>());
        return msg;
    }
}
